[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.SetPrinter

Makes the device with the specified name the current printer.

## Declaration

Source position: printers.pas line 318

`public procedure TPrinter.SetPrinter(`
`aName: string`
`);`

## Arguments

`aName` |  | Name of the print device selected in the method.

## Description

aName contains the name of the printer to use as the active print device. It can contain a "wild-card" value '*' which selects the default printer (the first one in the list of available printers) as the active print device.